<div class="object-search-step">
    <div class="workflow-search-panel">
        <div class="search-bar">
            <input data-bind="select2Query: {select2Config: targetResourceSelectConfig}">
        </div>
        <div class="workflow-search-count">
            <div class="count-number" data-bind="text: totalResults()"></div><div>Environments</div>
        </div>
    </div>
    <div class="workflow-search-results">
        <div class="workflow-search-results-full-container">
            <div class="workflow-search-list-container"> 
                <div class="workflow-search-list search-result-details">
                    <div data-bind="css: {'loading-mask': reportDataLoading}">
                        <div class="afs-project-search-result-details-container" data-bind="foreach: targetResources">
                            <div class="search-result-item" data-bind="css: {'selected-instance': $parent.value().map(function(resource){return resource}).indexOf($data['_source']['resourceinstanceid']) >= 0},
                            click: function(){$parent.updateTileData($data['_source']['resourceinstanceid'])}">
                                <div style="display: inline-flex;justify-content: space-between; align-items: baseline; width: 100%;">
                                    <div class="summary-report-title" data-bind="text: $data._source.displayname"></div>
                                </div>
                                <div class="summary-report-description" data-bind="html: $data._source.displaydescription || 'No description'"></div>
                            </div>
                        </div>
                    </div>
                </div>
                
                <div class="search-results-footer">
                    <div style="width:100%">
                        <div data-bind="component: {
                            name: 'paging-filter',
                            params: {
                                query,
                                searchResults,
                                filters,
                            }
                        }"></div>
                    </div>
                </div>
            </div>

            <div class="wf-multi-tile-step-list" style="padding: 0px;">

                <div style="padding: 24px 24px 0px 24px;">
                <!-- ko if: selectedResources().length === 0 && !dirty() -->
                <div class="wf-multi-tile-step-list-empty">
                    <p>You have not added any Environments to this Project</p>
                </div>
                <!--/ko -->
                <!-- ko foreach: selectedResources -->
                <div class="wf-multi-tile-step-card" >
                    <div class="wf-multi-tile-card-info">
                        <!-- <div class="workflow-step-icon complete"><span><i class="fa fa-hashtag"></i></span></div> -->
                        <div class="wf-multi-tile-card-info-details">
                        <dt data-bind="text: $data.displayname"></dt>
                        <dd>
                            <a data-bind="html: $data.displaydescription || 'No description'"></a>
                        </dd>
                        </div>
                    </div>
                    <div class="wf-multi-tile-step-card-controls">
                        <span
                            data-bind="click: function(){$parent.updateTileData($data.resourceinstanceid)}"
                        >
                            <span>
                                <i class="fa fa-times-circle"></i>
                            </span>
                            <span class="">
                                Remove
                            </span>
                        </span>
                    </div>
                 </div>
                <!-- /ko -->
                </div>
                <!-- ko if: selectedResources().length > 0 || dirty() -->
                <div class="search-selection-controls">
                    <div style="display: flex; justify-content: flex-end;">
                        <button class="btn btn-md btn-mint" data-bind="visible: dirty, click: function(){submit()}, text: complete() === true ? 'Save' : 'Save and Continue'"></button>
                        <button class="btn btn-md btn-mint" data-bind="visible: !dirty() && complete() === true, click: function(){next()}">Continue</button>
                        <button class="btn btn-md btn-warning" style="margin-left: 8px" data-bind="visible: dirty, click: function(){resetTile()}">Reset</button>
                    </div>                
                </div>
                <!--/ko -->
            </div>
        </div>
    </div>
</div>
